/*******************************************************************************
*
*	Program Name:	TWDrv.
*	Module Name:	TwEvents.h
*
*	Copyright 1999-2004 3M. All rights reserved.
*
*	Description:
*
*	This Linux touchscreen driver module contains structures & defines
*
*******************************************************************************/

#ifndef __TWEVENTS_H__
#define __TWEVENTS_H__

/*mouse buttons bits*/

#define FLAGS_BUTTON_LEFT          1 /* left button */
#define FLAGS_BUTTON_MID           2 /* middle button */
#define FLAGS_BUTTON_RIGHT         3 /* right button */
#define FLAGS_BUTTONS              3 /* buttons mask */
#define FLAGS_BUTTON_DOWN          8 /* button down     */
#define FLAGS_BEEP                 16
#define FLAGS_TOUCH       	   128 /*touch packet if set, else response*/

typedef struct
{
        unsigned char  flags;
        unsigned short x;
        unsigned short y;
        unsigned char  device_id[4];
} out_packet;

#endif
